/*
 * Copyright (c) 2020 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef LOG_PRIVATE_H_
#define LOG_PRIVATE_H_

#include <dlog.h>

#ifdef LOG_TAG
#undef LOG_TAG
#endif
#define LOG_TAG "CAPI_SYSTEM_MEDIA_KEY"

#ifdef _E
#undef _E
#endif
#define _E LOGE

#ifdef _W
#undef _W
#endif
#define _W LOGW

#ifdef _I
#undef _I
#endif
#define _I LOGI

#ifdef _D
#undef _D
#endif
#define _D LOGD

#endif  // LOG_PRIVATE_H_
